| Home | Libraries | People | FAQ | More

##### url_base::remove_port

Remove the port.

###### Synopsis

    url_base&
    remove_port();

###### Description

If a port exists, it is removed. The rest of the authority is unchanged.

###### Example

    assert( url( "http://www.example.com:80" ).remove_port().authority().buffer() == "www.example.com" );

###### Postconditions

    this->has_port() == false && this->port_number() == 0 && this->port() == ""

###### Complexity

Linear in `this->size()`.

###### Exception Safety

Throws nothing.

###### BNF

    authority     = [ userinfo "@" ] host [ ":" port ]

    port          = *DIGIT

###### Specification

- 3.2.3. Port (rfc3986)

###### See Also

`set_port`.